Package: libperlio-gzip-perl / 0.18-3

PerlIO-gzip-0.18-RT92412.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
Description: adjust Config usage to Perl 5.20
Origin: http://www.cpan.org/authors/id/S/SR/SREZIC/patches/PerlIO-gzip-0.18-RT92412.patch
Bug: https://rt.cpan.org/Public/Bug/Display.html?id=92412
Bugs-Debian: https://bugs.debian.org/750237
Author: zefram [...] fysh.org
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2014-06-22

--- a/Makefile.PL
+++ b/Makefile.PL
@@ -4,7 +4,8 @@
 use ExtUtils::MakeMaker;
 use Config;
 
-unless ($Config{useperlio} eq 'define' and $Config{usesfio} eq 'false') {
+unless ($Config{useperlio} eq 'define' and
+	(defined($Config{usesfio}) ? $Config{usesfio} : 'false') eq 'false') {
   die <<BARF;
 You need perl 5.8.0 or later, configured to use perlio (and not to use sfio)
 BARF